Advanced search  


cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.

Pages: [1]   Go Down

Author Topic: upgrade 1.5.28 to the latest version  (Read 358 times)

0 Members and 1 Guest are viewing this topic.


  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 39
upgrade 1.5.28 to the latest version
« on: January 10, 2018, 09:50:08 pm »

Hello, I have one installation with thousands of photos  with coppermine 1.5.28.  Is it siafe to upgrade directly to the latest version or you suggest lower version and then to the latest?


Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4530
Re: upgrade 1.5.28 to the latest version
« Reply #1 on: January 10, 2018, 10:50:50 pm »

As long as you make a backlog both your files and your database you have very little to worry about. In fact, you are at more risk by not upgrading as your version has some known security issues.

By latest version I mean in the 1.5.x line for which 1.5.44 is the currently supported release. There is also a 1.6.x version which has some great new features as well as support for PHP 7. Upgrading to this for most is also not a problem as long as you’re theme, plugins and any modifications you may have made are available. If you would like to go that route please check these things first.
It is a mistake to think you can solve any major problems just with potatoes.
Pages: [1]   Go Up

Page created in 0.015 seconds with 21 queries.